
package ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RechercherResponse_QNAME = new QName("http://ws/", "rechercherResponse");
    private final static QName _ListePersonnesResponse_QNAME = new QName("http://ws/", "listePersonnesResponse");
    private final static QName _ListePersonnes_QNAME = new QName("http://ws/", "listePersonnes");
    private final static QName _Nouveau_QNAME = new QName("http://ws/", "nouveau");
    private final static QName _Personne_QNAME = new QName("http://ws/", "personne");
    private final static QName _Rechercher_QNAME = new QName("http://ws/", "rechercher");
    private final static QName _Modifier_QNAME = new QName("http://ws/", "modifier");
    private final static QName _Supprimer_QNAME = new QName("http://ws/", "supprimer");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Personne }
     * 
     */
    public Personne createPersonne() {
        return new Personne();
    }

    /**
     * Create an instance of {@link Nouveau }
     * 
     */
    public Nouveau createNouveau() {
        return new Nouveau();
    }

    /**
     * Create an instance of {@link Rechercher }
     * 
     */
    public Rechercher createRechercher() {
        return new Rechercher();
    }

    /**
     * Create an instance of {@link RechercherResponse }
     * 
     */
    public RechercherResponse createRechercherResponse() {
        return new RechercherResponse();
    }

    /**
     * Create an instance of {@link ListePersonnesResponse }
     * 
     */
    public ListePersonnesResponse createListePersonnesResponse() {
        return new ListePersonnesResponse();
    }

    /**
     * Create an instance of {@link Supprimer }
     * 
     */
    public Supprimer createSupprimer() {
        return new Supprimer();
    }

    /**
     * Create an instance of {@link ListePersonnes }
     * 
     */
    public ListePersonnes createListePersonnes() {
        return new ListePersonnes();
    }

    /**
     * Create an instance of {@link Modifier }
     * 
     */
    public Modifier createModifier() {
        return new Modifier();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechercherResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "rechercherResponse")
    public JAXBElement<RechercherResponse> createRechercherResponse(RechercherResponse value) {
        return new JAXBElement<RechercherResponse>(_RechercherResponse_QNAME, RechercherResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListePersonnesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "listePersonnesResponse")
    public JAXBElement<ListePersonnesResponse> createListePersonnesResponse(ListePersonnesResponse value) {
        return new JAXBElement<ListePersonnesResponse>(_ListePersonnesResponse_QNAME, ListePersonnesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListePersonnes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "listePersonnes")
    public JAXBElement<ListePersonnes> createListePersonnes(ListePersonnes value) {
        return new JAXBElement<ListePersonnes>(_ListePersonnes_QNAME, ListePersonnes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Nouveau }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "nouveau")
    public JAXBElement<Nouveau> createNouveau(Nouveau value) {
        return new JAXBElement<Nouveau>(_Nouveau_QNAME, Nouveau.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Personne }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "personne")
    public JAXBElement<Personne> createPersonne(Personne value) {
        return new JAXBElement<Personne>(_Personne_QNAME, Personne.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Rechercher }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "rechercher")
    public JAXBElement<Rechercher> createRechercher(Rechercher value) {
        return new JAXBElement<Rechercher>(_Rechercher_QNAME, Rechercher.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Modifier }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "modifier")
    public JAXBElement<Modifier> createModifier(Modifier value) {
        return new JAXBElement<Modifier>(_Modifier_QNAME, Modifier.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Supprimer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "supprimer")
    public JAXBElement<Supprimer> createSupprimer(Supprimer value) {
        return new JAXBElement<Supprimer>(_Supprimer_QNAME, Supprimer.class, null, value);
    }

}
